import { ComponentData, Namespace } from "./component_manager.js";
export declare const FLOW_PORT_KEY = "_flow_port_";
declare class Component {
    key: string;
    data: ComponentData;
    namespace: Namespace;
    constructor(namespace: Namespace, key: string, data: ComponentData);
    getFullKey(): string;
    hasProperty(key: string): boolean;
    hasInputPort(key: string): boolean;
    hasOutputPort(key: string): boolean;
    getInputPort(key: string): import("./component_manager.js").Input | null;
    getOutputPort(key: string): import("./component_manager.js").Output | null;
    getName(): string;
    getInputs(): import("./component_manager.js").InputMap;
    getOutputs(): import("./component_manager.js").OutputMap;
}
export default Component;
