import { registerNamespace } from "./../component_manager.js";
let namespace = registerNamespace("core.html.dom.document", {
    name: "Document",
    defaultIcon: "html",
    description: ` `,
});
namespace.registerComponent("document", {
    name: "Document",
    outputs: {
        document: {
            name: "Document",
            type: "unknown"
        }
    },
    evaluator: `@{out:document}=document;`
});
namespace.registerComponent("create_element", {
    name: "Create element",
    inputs: {
        "tag_name": {
            name: "Tag name",
            type: "unknown"
        },
    },
    outputs: {
        element: {
            name: "Element",
            type: "unknown"
        }
    },
    evaluator: `@{out:element}=document.createElement(@{in:tag_name});`
});
namespace.registerComponent("body", {
    name: "Body",
    outputs: {
        "body": {
            name: "Body",
            type: "unknown"
        },
    },
    evaluator: `@{out:body}=document.body;`
});
//# sourceMappingURL=core_html_dom_document.js.map