export interface GroupEventData {
    groupId: number;
    nodeId: number;
}
declare class Group {
    id: number;
    name: string;
    comment: string;
    nodeIdList: number[];
    constructor(id: number, name: string, comment?: string, nodeIdList?: number[]);
    addNodeId(id: number): void;
    removeNodeId(id: number): void;
    hasNodeId(id: number): boolean;
}
export default Group;
