export interface INormalizer {
    get: (id: number) => number;
}
export declare class Normalizer implements INormalizer {
    normalizedMap: {
        [id: number]: number;
    };
    idGenerator: IDGenerator;
    constructor(idGenerator: IDGenerator);
    get(id: number): number;
}
declare class IDGenerator {
    id: number;
    next(): number;
    reset(): void;
}
export default IDGenerator;
