import { HistoryManager } from "./history_manager.js";
import IDGenerator from "./id_generator.js";
import Patch from "./patch.js";
declare class Project {
    name: string;
    mainPatch: Patch;
    activePatch: Patch;
    historyManager: HistoryManager;
    idGenerator: IDGenerator;
    constructor(name: string);
    getActivePatch(): Patch;
    setActivePatch(patch: Patch): Patch;
    reset(): void;
}
export default Project;
