import { getComponent } from "./component_manager.js";
class Property {
    constructor(ownerNode, value) {
        this.key = "";
        this.value = null;
        this.isSet = false;
        this.ownerNode = ownerNode;
        this.value = value;
    }
    getValue() {
        var _a;
        if (!this.isSet) {
            let component = getComponent(this.ownerNode.componentIdentKey);
            return (_a = component === null || component === void 0 ? void 0 : component.data.properties) === null || _a === void 0 ? void 0 : _a[this.key].defaultValue;
        }
        return this.value;
    }
    setValue(value) {
        this.value = value;
        this.isSet = true;
    }
}
export default Property;
//# sourceMappingURL=property.js.map