import { registerNamespace } from "./../component_manager.js";

let namespace = registerNamespace("core.math.special", {
    name: "Special",
    description: ``
});

const valueOut = {
    outputs: {
        "value": {
            name: "Value",
            type: "number"
        }
    },
}

namespace.registerComponent("e", {
    ...valueOut,
    name: "E",
    description: "",
    evaluator: ``
});

namespace.registerComponent("pi", {
    ...valueOut,
    name: "PI",
    description: "",
    evaluator: ``
});

namespace.registerComponent("sqrt2", {
    ...valueOut,
    name: "SQRT2",
    description: "",
    evaluator: ``
});

namespace.registerComponent("sqrt1_2", {
    ...valueOut,
    name: "SQRT1_2",
    description: "",
    evaluator: ``
});

namespace.registerComponent("ln2", {
    ...valueOut,
    name: "LN2",
    description: "",
    evaluator: ``
});

namespace.registerComponent("ln10", {
    ...valueOut,
    name: "LN10",
    description: "",
    evaluator: ``
});

namespace.registerComponent("log2e", {
    ...valueOut,
    name: "LOG2E",
    description: "",
    evaluator: ``
});

namespace.registerComponent("log10e", {
    ...valueOut,
    name: "LOG10E",
    description: "",
    evaluator: ``
});
