import { registerNamespace } from "./../component_manager.js";
let namespace = registerNamespace("core.json", {
    name: "Core JSON",
    description: ``,
});
namespace.registerComponent("get", {
    name: "Get",
    inputs: {
        "object": {
            name: "Object",
            type: ""
        },
        "key": {
            name: "Key",
            type: ""
        },
    },
    outputs: {
        "value": {
            name: "Value",
            type: ""
        }
    },
    evaluator: `(object, key) => {
        return {
            value: object[key]
        };
    }`
});
//# sourceMappingURL=core_json.js.map