import { registerNamespace } from "./../component_manager.js";
let namespace = registerNamespace("core.math.advanced", {
    name: "Advanced",
    defaultIcon: "calculate",
    description: ``
});
const valueInOut = {
    inputs: {
        "value": {
            name: "Value",
            type: "number"
        }
    },
    outputs: {
        value: {
            name: "Value",
            type: "number"
        }
    },
};
namespace.registerComponent("abs", {
    ...valueInOut,
    name: "Abs",
    description: "",
    evaluator: ``
});
namespace.registerComponent("acos", {
    ...valueInOut,
    name: "Acos",
    description: "",
    evaluator: ``
});
namespace.registerComponent("asin", {
    ...valueInOut,
    name: "Asin",
    description: "",
    evaluator: ``
});
namespace.registerComponent("atan", {
    ...valueInOut,
    name: "Atan",
    description: "",
    evaluator: ``
});
namespace.registerComponent("atan2", {
    inputs: {
        "y": {
            name: "Y",
            type: "number"
        },
        "x": {
            name: "X",
            type: "number"
        }
    },
    outputs: {
        value: {
            name: "Value",
            type: "number"
        }
    },
    name: "Atan2",
    description: "",
    evaluator: ``
});
namespace.registerComponent("ceil", {
    ...valueInOut,
    name: "Ceil",
    description: "",
    evaluator: ``
});
namespace.registerComponent("cos", {
    ...valueInOut,
    name: "Cos",
    description: "",
    evaluator: `@{out:value}=Math.cos(@{in:value});`
});
namespace.registerComponent("exp", {
    ...valueInOut,
    name: "Exp",
    description: "",
    evaluator: ``
});
namespace.registerComponent("floor", {
    ...valueInOut,
    name: "Floor",
    description: "",
    evaluator: ``
});
namespace.registerComponent("log", {
    ...valueInOut,
    name: "Log",
    description: "",
    evaluator: ``
});
namespace.registerComponent("max", {
    ...valueInOut,
    name: "Max",
    description: "",
    evaluator: ``
});
namespace.registerComponent("min", {
    ...valueInOut,
    name: "Max",
    description: "",
    evaluator: ``
});
namespace.registerComponent("pow", {
    inputs: {
        "a": {
            name: "A",
            type: "number"
        },
        "b": {
            name: "B",
            type: "number"
        }
    },
    outputs: {
        value: {
            name: "Value",
            type: "number"
        }
    },
    name: "Pow",
    description: "",
    evaluator: ``
});
namespace.registerComponent("random", {
    outputs: {
        "value": {
            name: "Value",
            type: "number"
        }
    },
    name: "Random",
    description: "",
    evaluator: ``
});
namespace.registerComponent("sin", {
    ...valueInOut,
    name: "Sin",
    description: "",
    evaluator: `@{out:value}=Math.sin(@{in:value});`
});
namespace.registerComponent("sqrt", {
    ...valueInOut,
    name: "Sqrt",
    description: "",
    evaluator: ``
});
namespace.registerComponent("tan", {
    ...valueInOut,
    name: "Tan",
    description: "",
    evaluator: ``
});
//# sourceMappingURL=core_math_advanced.js.map