declare type ListenersMap = {
    [eventName: string]: Function[];
};
declare class EventHandler {
    listenersMap: ListenersMap;
    addEventListener(eventName: string, callback: Function): number;
    triggerEvent<T>(eventName: string, arg?: T | null): void;
}
export default EventHandler;
