export class Normalizer {
    constructor(idGenerator) {
        this.normalizedMap = {};
        this.idGenerator = idGenerator;
    }
    get(id) {
        if (!(id in this.normalizedMap)) {
            return this.normalizedMap[id] = this.idGenerator.next();
        }
        return this.normalizedMap[id];
    }
    ;
}
class IDGenerator {
    constructor() {
        this.id = 0;
    }
    next() {
        return this.id++;
    }
    reset() {
        this.id = 0;
    }
}
export default IDGenerator;
//# sourceMappingURL=id_generator.js.map