import { GroupSchema, NodeSchema, PatchSchema, ProjectSchema } from "./export.js";
import { INormalizer } from "./id_generator.js";
import Module from "./module.js";
import Node from "./node.js";
import Patch, { GroupMap } from "./patch.js";
import Project from "./project.js";
export declare const importProject: (projectSchema: ProjectSchema, normalize?: boolean) => Project;
export declare const importPatch: (patchSchema: PatchSchema, normalizer?: INormalizer) => Patch;
export declare const importGroups: (groupSchemas: GroupSchema[]) => GroupMap;
export declare const importNode: (nodeSchema: NodeSchema, patch: Patch, normalizer?: INormalizer) => Node | Module;
export declare const importConnections: (nodeSchema: NodeSchema, patch: Patch, normalizer?: INormalizer) => void;
