import Node, { NodeType } from "./node.js";
import Patch, { NodeMap } from "./patch.js";
declare class Module extends Node {
    type: NodeType;
    name: string;
    patch: Patch;
    inputNodes: NodeMap;
    outputNodes: NodeMap;
    isConnectableInputPort(key: string): boolean;
    isConnectableOutputPort(key: string): boolean;
    getConnectableInputPorts(): string[][];
}
export default Module;
