import { registerNamespace } from "./../component_manager.js";

let namespace = registerNamespace("core.html.dom", {
    name: "Dom",
    description: ` `,
});

namespace.registerComponent("append_child", {
    name: "Append child",
    inputs: {
        "source": {
            name: "Element",
            type: "core.html.dom.element"
        },
        "target": {
            name: "Target",
            type: "core.html.dom.element"
        },
    },
    evaluator: `@{in:target}.appendChild(@{in:source});`
});

