import { registerNamespace } from "../component_manager.js";

let namespace = registerNamespace("core.module", {
    name: "Module",
    description: ``
});

namespace.registerComponent("module", {
    name: "Module",
    icon: "view_module",
    description: "Module",
    evaluator: ``
});

namespace.registerComponent("input", {
    name: "Input",
    icon: "input",
    description: "Input",
    outputs: {
        value: {
            name: "Value",
            type: ""
        }
    },
    properties: {
        "is_multi": {
            name: "Multi",
            type: "bool",
            defaultValue: false
        }
    },
    evaluator: () => {
        //return `@{out:value}=window.n${connection.targetNodeId}_${connection.targetPort};`;
        return ``;
    }
});

namespace.registerComponent("output", {
    name: "Output",
    icon: "output",
    description: "Output",
    inputs: {
        value: {
            name: "Value",
            type: ""
        }
    },
    evaluator: () => {
        return ``;
    }
});
