import Port from "./port.js";

class Connection {
    id: number;
    outputPort: Port;
    inputPort: Port;

    constructor(id: number, outputPort: Port, inputPort: Port) {
        this.id = id;
        this.outputPort = outputPort;
        this.inputPort = inputPort;
    }

    getInputIndex() {
        return this.inputPort.getConnectionIndex(this.id);
    }
}

export default Connection;