export const setProperty = (obj: any, path: any[], value: any | ((v: any) => void)) => {
    let o = obj;
    let k = path.pop();
    let initializer: any;
    
    if (typeof k !== "string") {
        initializer = k;
        k = path.pop();
    }
    
    for (let e of path) {
        if (!o[e]) {
            o = o[e] = {};
        }
        else {
            o = o[e];
        }
    }

    if (initializer) {
        if (!(k in o)) {
            o[k] = initializer;
        }
    }

    if (typeof value === "function") {
        value(o[k]);
    }
    else {
        if (Array.isArray(initializer)) {
            o[k].push(value);
        }
        else {
            o[k] = value;
        }
    }
}
